haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Performance.BackEnd

# Documentation

type T time note = T time (Event time note)Source

type Padded time note = T time (Event time note)Source

data Event time note Source

Constructors

Event |

Fields

eventDur :: time
eventNote :: note

Instances

Functor (Event time) |
(Eq time, Eq note) => Eq (Event time note) |
(Ord time, Ord note) => Ord (Event time note) |
(Show time, Show note) => Show (Event time note) |

mapTime :: (time0 -> time1) -> T time0 note -> T time1 noteSource

mapTimePadded :: (time0 -> time1) -> Padded time0 note -> Padded time1 noteSource

eventFromPerformanceEvent :: (dyn -> Relative -> note -> backEndNote) -> Event time dyn note -> Event time backEndNoteSource

fromPerformance :: (dyn -> Relative -> note -> backEndNote) -> T time dyn note -> T time backEndNoteSource

fromPaddedPerformance :: (dyn -> Relative -> note -> backEndNote) -> Padded time dyn note -> Padded time backEndNoteSource

toMusic :: T Dur note -> T noteSource